* {
    font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

body {
    min-height: 100vh;
}

.validation_error {
    width: 100%;
    margin-top: 0.25rem;
    font-size: 80%;
    color: #dc3545;
    font-weight: 700;
}

.dashboard-heading {
    margin-top: 10px !important;
}

.pagination {
    float: right;
    display: flex;
    gap: 5px;
}

.pagination a {
    /*color: black;*/
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    border: 1px solid #ddd;
}

.btn-primary {
    background-color: #31a64f !important;
}

.pagination a.active {
    background-color: #007bff;
    color: white;
    border: 1px solid #007bff;
}

.pagination a:hover:not(.active) {
    background-color: #ddd;
}

.pagination a:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.pagination a:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.pagination li.active {
    background-color: #ddd;
}

a.export_btn {
    float: right;
    margin-right: 12px;
}

.form-control:focus {
    box-shadow: none;
}

html,
body {
    height: 100%;
}

body {
    margin: 0;
    font-family: Roboto, "Helvetica Neue", sans-serif;
}

.os-content {
    padding: 0px !important;
}

p {
    cursor: pointer;
}

.badge {
    padding: 8px 10px;
    background-color: #e4e4e4;
    color: black !important;
}

.mt-sm-0 {
    margin-top: 0 !important;
    font-size: 14px;
}

.form-control {
    color: black !important;
    font-size: 14px;
}

.navbar-nav .nav-item .nv-link {
    text-transform: lowercase
}

.navbar-nav .nav-item .nv-link::first-letter {
    text-transform: uppercase
}

.alert-danger {
    background-color: #dc3545;
    color: #fff;
    padding: 12px;
    font-size: 14px
}

.alert-success {
    background-color: #28a745;
    color: #fff;
    padding: 12px;
    font-size: 14px
}

.errormsg {
    color: red;
    position: relative;
    top: -10px;
    font-size: 12px;
    animation: errormsg 0.9s ease-out;
    cursor: pointer;
}

label {
    font-weight: bold;
}

@keyframes errormsg {
    0% {
        transform: skewX(-20deg);
    }
    25% {
        transform: skewX(20deg);
    }
    50% {
        transform: skewX(-20deg);
    }
    75% {
        transform: skewX(20deg);
    }
    100% {
        transform: skewX(-20deg);
    }
}

a {
    text-decoration: none !important;
}

@import 'ngx-toastr/toastr';
@import 'ngx-toastr/toastr-bs4-alert';
@import 'bootstrap/scss/functions';
@import 'bootstrap/scss/variables';
@import 'bootstrap/scss/mixins';
@import 'ngx-toastr/toastr-bs4-alert';
@import 'ngx-toastr/toastr-bs5-alert';
html,
body {
    height: 100%;
}

body {
    margin: 0;
    font-family: Roboto, "Helvetica Neue", sans-serif;
}

.upper_case_class {
    text-transform: capitalize;
}